v 14.0 Third Party 11110
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Lines of code 12566
Technical Name base_accounting_kit
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Lines of code 12566
Technical Name base_accounting_kit
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0
cybrosys-logo

Latest Updates

  • Translation Added
    • Arabic
    • German (CH) / Deutsch (CH)
    • Spanish (AR) / Espanol (AR)
    • French (BE) / Francais (BE)
    • Ukrainian
    • Chinese (HK)
  • Reconciliation Widget Added
  • Payments Matching   option in Journal Overview
  • Payments Matching   button Payment Form

Odoo 14 Accounting

Dashboard, Asset Management, Accounting Reports, PDC Management, Account Lock dates, Customer Credit Limit and Follow Ups, Day book, Bank book and Cash book reports in Odoo 14 community edition.

Key Highlights

  • Asset management system.
  • Handle Post Dated Cheques.
  • Accounting lock dates.
  • Handle Recurring payments.
  • Customer credit limit and customer follow-up.
  • All Accounting reports.
  • Day book, Bank book and Cash book reports.

Screenshots


Odoo 14 Accounting


Accounting Dashboard with all necessary details.

Asset management system for Odoo 14 community edition.

PDC management is now in.

Accounting lock dates for Odoo 14 community edition.

Customer credit limit.

Handle Recurring payments in Odoo.

Manage Customer follow-ups.

Day book, Bank book and Cash book reports.

Financial reports.

Trial balance report.

Journal audit report.

General ledger report.

Partner ledger report.

Aged partner balance.

Tax reports.

Overview


Accounting in odoo is sufficient for any organization to meet all their needs related to accounting. As you know for any organization, accounting is one of the most important processes in order to run the company without any financial losses. Odoo accounting is connected with all the other apps such as sales, purchase, inventory and more.

In community edition, we have only limited features available under Odoo accounting. Here comes the use of the module Odoo14 Full Accounting Kit by Cybrosys Technologies which is built under the V14 platform. This module will bring back the accounting features such as Asset management, Accounting Reports, PDC Management, Account Lock dates, Customer Credit Limit, and Follow-Ups, Daybook, Bankbook, and Cashbook reports.

Video


Odoo 14 Full Accounting Kit

Cybrosys Cover Video

Suggested Products


Our Service


Odoo Customization

Odoo Implementation

Odoo Integration

Odoo Support

Hire Odoo Developers

Our Industries


Odoo Industry

Trading

Easily procure and sell your products.

Odoo Industry

Manufacturing

Plan, track and schedule your operations.

Odoo Industry

Restaurant

Run your bar or restaurant methodical.

Odoo Industry

POS

Easy configuring and convivial selling.

Odoo Industry

E-commerce & Website

Mobile friendly, awe-inspiring product pages.

Odoo Industry

Hotel Management

An all-inclusive hotel management application.

Odoo Industry

Education

A Collaborative platform for educational management.

Odoo Industry

Service Management

Keep track of services and invoice accordingly.

Need Any Help?


If you have anything to share with us based on your use of this module, please let us know. We are ready to offer our support.

Email us

odoo@cybrosys.com / info@cybrosys.com

Contact Us

www.cybrosys.com

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
by
abdouli lidar
on 2/3/21, 9:41 AM

Dear Cybrosys,

Traceback (most recent call last):
  File "D:\Odoo14\server\odoo\http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "D:\Odoo14\server\odoo\http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
AttributeError: type object 'account.journal' has no attribute 'action_checks_to_print'

Missing Record
by
Doğan Üstündağ
on 2/1/21, 11:51 AM

Re: Missing Record
by
Cybrosys Technologies
on 2/8/21, 7:24 AM Author

Can you please send an email to odoo@cybrosys.com


by
veronicagiani4@gmail.com
on 1/31/21, 6:25 AM

as possible is modulated in French included

Re:
by
Cybrosys Technologies
on 2/24/21, 1:31 PM Author

Translation added.

Please let us know if there is any wrong terms used.


Few errors in module
by
Kestutis Urbonas
on 1/28/21, 6:14 AM

Dear Cybrosys, 

Thanks for the module. This is few comments about errors, which i found.

1. Bank Manual reconcilation does not work properly. It does not take submitted(mandatory) account number, but sends it to default payments account. 

2. Bank book and Cash book reports selects only unused accounts and does not give to enter correct cash account, so reports are empty.


Re: Few errors in module
by
Cybrosys Technologies
on 2/25/21, 8:12 AM Author

Hello,

We have made some changes in code to resolve this issue.


Still few warnings....
by
alex71m
on 1/4/21, 3:30 PM

still getting following errors:

WARNING productive_v14 odoo.modules.loading: The model asset.modify has no access rules, consider adding one. E.g. access_asset_modify,access_asset_modify,model_asset_modify,base.group_user,1,0,0,0


WARNING xxxx  odoo.fields: Field account.move.asset_depreciation_ids: unknown parameter 'ondelete', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it

WARNING xxxx odoo.fields: Field account.asset.asset.value_residual: unknown parameter 'method', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it

WARNING xxxx odoo.fields: Field account.asset.depreciation.line.move_check: unknown parameter 'track_visibility', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it

WARNING xxxx odoo.fields: Field account.asset.depreciation.line.move_posted_check: unknown parameter 'track_visibility', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it




Re: Still few warnings....
by
Cybrosys Technologies
on 1/5/21, 3:27 AM Author

Cleared, Thanks


Reconcile Option for Accounting
by
binu
on 11/11/20, 11:21 AM

Hi
We would like to know if you have a plan to add Journal Reconciliation ?



Author says it is fixed, however
by
Kestutis Urbonas
on 3/2/21, 5:13 AM

 manual reconcilation is not working properly. 

Re: Author says it is fixed, however
by
Cybrosys Technologies
on 3/2/21, 6:09 AM Author

Can you send more details to odoo@cybrosys.com?


WARNING FOR DOWNLOADERS
by
Kestutis Urbonas
on 2/24/21, 4:28 AM

Accounting is one of most important modules in odoo. If accounting module does at least one mistake, means module can not be used. I see so many people downloaded module and using it. It means all these people are doing wrong accounting moves. Tried to contact module authors, but seems they are not willing to fix errors, or at least to do it in public files. Looks like this download is only for their advertisement purposes. It is their right, but they should mention this in this download!

My advice for downloaders - take care about this module, as it is not working properly in few options and this indicates, that other options also can have errors. You will waste your time doing data entry, and at the end you will find out, that accounting moves were done wrongly.


New update, but errors same.
by
Kestutis Urbonas
on 2/19/21, 4:53 AM

Cash book, bank book reports are not working. 

Reconcile manual mode not working.

Re: New update, but errors same.
by
Cybrosys Technologies
on 2/28/21, 11:23 PM Author

We have updated the module with fixes. Please get the latest version


by
XADO Egypt
on 2/13/21, 6:46 AM

Great Kit , got a small error . after we add an asset if we try to modify it's depreciation we get this error

The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/opt/odoo14/odoo/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo14/odoo/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
TypeError: transfer_node_to_modifiers() got an unexpected keyword argument 'in_tree_view'
Re:
by
Cybrosys Technologies
on 2/25/21, 8:14 AM Author

Thanks for reporting, Its fixed. Please get the latest version.


after updating OS and Odoo13 your charts don't render correctly
by
alex71m
on 2/8/21, 5:24 AM

triangles and strange lines appear...

Re: after updating OS and Odoo13 your charts don't render correctly
by
Cybrosys Technologies
on 2/8/21, 7:22 AM Author

Please send an email to odoo@cybrosys.com to have a detailed look at the issue


Convert To VAT
by
stunomatic
on 1/27/21, 9:16 AM

Hi, 

Thanks for the module. 

I am trying first time Odoo ERP and also first time on docker.

As technical name is changing from "account" to "base_accounting_kit", how other modules depend on account module will work ? 

I want to change TAX to VAT everywhere and also want to migrate data from QuickBooks to Odoo using a connector but all module depend on technical name "Account". 


Please advise maybe my concept is wrong. 


Thank You


Re: Convert To VAT
by
Cybrosys Technologies
on 1/28/21, 12:16 AM Author

base_accounting_kit is not mean to replace account module. This is a module that you can run along with the account module in Odoo community edition. So, other modules depends on 'account' module will not be effected in case of dependency.


Recurring Entries
by
alex71m
on 1/25/21, 12:09 PM

After setting up a Recurring Template and setting it to "Running", I still cannot find the way to create the recurring entries for given customer or vendor.

Hope in you prompt response and thanks for the great job done with this module!!!!


Best regards,

Francesco

Re: Recurring Entries
by
Cybrosys Technologies
on 1/28/21, 5:35 AM Author

Out team had a look at the issue you mentioned. They couldn't reproduce it.

Can you send an email to odoo@cybrosys.com, so that they can reach you back and solve the issue.


Balance Sheet Report
by
Albert Chin
on 1/21/21, 7:34 PM

First of all, a great module and thanks for your contribution.

I have a feature request actually. Is it possible to add an option in Balance Sheet PDF Report not to show account balance with 0? I have a lot of interim and transfer accounts which do not look good in my report with all the 0 balance.

Something similar to the Trial Balance Report with an option "With balance is not equal to 0".

Re: Balance Sheet Report
by
Cybrosys Technologies
on 1/21/21, 10:56 PM Author

Thanks for your input. We will try to include in our future updates.


Invoicedashboard'
by
Anil Kuamr Anal
on 1/20/21, 1:40 AM
Traceback:
Error: QWeb2: Template 'Invoicedashboard' not found
    at Object.exception (http://35.187.228.121:8069/web/content/101-2223e79/web.assets_common.js:4387:7)
    at Engine._render (http://35.187.228.121:8069/web/content/101-2223e79/web.assets_common.js:4432:103)
    at Engine.render (http://35.187.228.121:8069/web/content/101-2223e79/web.assets_common.js:4428:151)
    at Class.renderElement (http://35.187.228.121:8069/web/content/117-5915cfe/web.assets_backend.js:480:452)
    at Class.prototype.<computed> [as renderElement] (http://35.187.228.121:8069/web/content/101-2223e79/web.assets_common.js:4622:488)
    at Class.renderElement (http://35.187.228.121:8069/web/content/117-5915cfe/web.assets_backend.js:6207:1510)
    at Class.prototype.<computed> [as renderElement] (http://35.187.228.121:8069/web/content/101-2223e79/web.assets_common.js:4622:488)
    at http://35.187.228.121:8069/web/content/101-2223e79/web.assets_common.js:4951:6
Re: Invoicedashboard'
by
Cybrosys Technologies
on 1/20/21, 2:09 AM Author

Please restart your odoo service after adding this addon to your addons directory.


by
Yogendra Rajput
on 1/16/21, 11:18 AM

Can you please share the document to integrate this with Odoo community?


Update error!
by
Samuel Martin Martin Quispe Valdivia
on 1/9/21, 9:52 PM

Intente actualizar, hize el procedimiento que me indican: descargar, unzip, copiarlo a la carpeta addons, reiniciar servidor, actualizar lista, y actualizar .

Error:
Odoo Server Error

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo/odoo/http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo/odoo/odoo/http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo/odoo/odoo/http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1359, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1351, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 396, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo/odoo/odoo/api.py", line 383, in _call_kw_multi
    result = method(recs, *args, **kwargs)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo/odoo/odoo/http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo/odoo/odoo/http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
TypeError: button_immediate_upgrade() takes 1 positional argument but 2 were given


Bank Reconcillation
by
Wael Marzouk
on 1/5/21, 2:34 PM

Dear Cybrosys team,

Thanks for your efforts. 

I see the bank reconciliation process is not working correctly. I do posting after editing the bank statement but "Reconcile" button doesn't appear.

Am I doing anything wrong or this is a bug in the module ?


Thanks 


Couldn't Install - Installation Failed
by
Rashid S. Al-Kaabi
on 1/1/21, 6:56 PM

I am getting this error while trying to install


Error:

Odoo Server Error


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/odoo/odoo-server/odoo/http.py", line 682, in dispatch

    result = self._call_function(**self.params)

  File "/odoo/odoo-server/odoo/http.py", line 358, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo/odoo-server/odoo/http.py", line 346, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 911, in __call__

    return self.method(*args, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 530, in response_wrap

    response = f(*args, **kw)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1363, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1351, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-71>", line 2, in button_immediate_install

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/odoo/odoo-server/odoo/modules/registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/odoo/odoo-server/odoo/modules/loading.py", line 453, in load_modules

    processed_modules += load_marked_modules(cr, graph,

  File "/odoo/odoo-server/odoo/modules/loading.py", line 346, in load_marked_modules

    loaded, processed = load_module_graph(

  File "/odoo/odoo-server/odoo/modules/loading.py", line 221, in load_module_graph

    load_data(cr, idref, mode, kind='data', package=package)

  File "/odoo/odoo-server/odoo/modules/loading.py", line 69, in load_data

    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)

  File "/odoo/odoo-server/odoo/tools/convert.py", line 733, in convert_file

    convert_xml_import(cr, module, fp, idref, mode, noupdate)

  File "/odoo/odoo-server/odoo/tools/convert.py", line 799, in convert_xml_import

    obj.parse(doc.getroot())

  File "/odoo/odoo-server/odoo/tools/convert.py", line 719, in parse

    self._tag_root(de)

  File "/odoo/odoo-server/odoo/tools/convert.py", line 677, in _tag_root

    f(rec)

  File "/odoo/odoo-server/odoo/tools/convert.py", line 681, in _tag_root

    raise ParseError('while parsing %s:%s, near\n%s' % (

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/http.py", line 638, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo/odoo-server/odoo/http.py", line 314, in _handle_exception

    raise exception.with_traceback(None) from new_cause

odoo.tools.convert.ParseError: while parsing /odoo/odoo-server/odoo/addons/base_accounting_kit-2/data/account_pdc_data.xml:16, near

<function model="account.journal" name="_enable_pdc_on_bank_journals"/>


Just worried so far, but I was very happy with this module for v13!
by
alex71m
on 12/30/20, 4:46 PM

during installation I get following warnings:

2020-12-30 21:43:14,333 7633 WARNING db odoo.fields: Field account.move.asset_depreciation_ids: unknown parameter 'ondelete', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it

2020-12-30 21:43:14,377 7633 WARNING db odoo.fields: Field account.asset.asset.value_residual: unknown parameter 'method', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it

2020-12-30 21:43:14,379 7633 WARNING db odoo.fields: Field account.asset.depreciation.line.move_check: unknown parameter 'track_visibility', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it

2020-12-30 21:43:14,379 7633 WARNING db odoo.fields: Field account.asset.depreciation.line.move_posted_check: unknown parameter 'track_visibility', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it

2020-12-30 21:43:18,512 7633 WARNING db odoo.modules.loading: The model asset.modify has no access rules, consider adding one. E.g. access_asset_modify,access_asset_modify,model_asset_modify,base.group_user,1,0,0,0

by
Kitama
on 12/18/20, 2:56 PM

Hello, 

Thanks for doing a great job. I wanted to share one missing thing. On the Dashboard, Invoices, the information presented doesn't take into account part payments. Meaning the amount partly paid (partial payment) is not included in Total Paid even though that amount is already applied to the invoice/bill, even if the payment is 99.



Error column reference "state" is ambiguous
by
Libu Koshy
on 12/8/20, 3:08 AM

res = self._obj.execute(query, params)

psycopg2.ProgrammingError: column reference "state" is ambiguous

LINE 7:                              state in ('posted', 'draft') 

                                     ^

File "/home/USer/Odoo/Odoo-13CM/custom_addons/base_accounting_kit/models/account_dashboard.py", line 437, in get_latebills

Reproduce:

Installed modules,Cybrosys debranding module,Ktree backend theme,this Accounting module.

It is a fresh db with out any entries.



When I click the ”Foecasted“ of the product, some errors occur
by
Li Lin
on 12/2/20, 2:52 AM

Error:


Traceback:
Error: dict.active_warehouse is undefined
anonymous@http://192.168.1.163:8069/web/content/225-7414d66/web.assets_common.js line 4415 > Function:13:11
_render@http://192.168.1.163:8069/web/content/225-7414d66/web.assets_common.js:4414:296
render@http://192.168.1.163:8069/web/content/225-7414d66/web.assets_common.js:4414:151
_render@http://192.168.1.163:8069/web/content/225-7414d66/web.assets_common.js:4418:57
render@http://192.168.1.163:8069/web/content/225-7414d66/web.assets_common.js:4414:151
_renderWarehouseFilters/<@http://192.168.1.163:8069/web/content/292-2f7f456/web.assets_backend.js:6053:23

My server can’t access some websites, such as google.


there is a Warning
by
Li Lin
on 11/25/20, 8:26 PM

Odoo V14,Community EditionMy db_name is shsy.The following warning content may be helpful to improve this module.
2020-11-26 00:58:58,421 2006 WARNING shsy odoo.fields: Field account.bank.book.report.date_from: unknown parameter 'requred', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it
2020-11-26 00:58:58,421 2006 WARNING shsy odoo.fields: Field account.bank.book.report.date_to: unknown parameter 'requred', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it
2020-11-26 00:58:58,422 2006 WARNING shsy odoo.fields: Field account.cash.book.report.date_from: unknown parameter 'requred', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it
2020-11-26 00:58:58,422 2006 WARNING shsy odoo.fields: Field account.cash.book.report.date_to: unknown parameter 'requred', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it
2020-11-26 00:58:58,424 2006 WARNING shsy odoo.fields: Field account.day.book.report.date_from: unknown parameter 'requred', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it
2020-11-26 00:58:58,424 2006 WARNING shsy odoo.fields: Field account.day.book.report.date_to: unknown parameter 'requred', if this is an actual parameter you may want to override the method _valid_field_parameter on the relevant model in order to allow it


Re: there is a Warning
by
Cybrosys Technologies
on 11/25/20, 10:21 PM Author

Thanks for reporting, We will update asap


by
Anil Kuamr Anal
on 11/25/20, 11:42 AM
Traceback:
Error: QWeb2: Template 'Invoicedashboard' not found
    at Object.exception (http://139.59.10.150:8069/web/content/116-b0714de/web.assets_common.js:4380:7)
    at Engine._render (http://139.59.10.150:8069/web/content/116-b0714de/web.assets_common.js:4425:103)
    at Engine.render (http://139.59.10.150:8069/web/content/116-b0714de/web.assets_common.js:4421:151)
    at Class.renderElement (http://139.59.10.150:8069/web/content/131-586aa10/web.assets_backend.js:480:452)
    at Class.prototype.<computed> [as renderElement] (http://139.59.10.150:8069/web/content/116-b0714de/web.assets_common.js:4615:488)
    at Class.renderElement (http://139.59.10.150:8069/web/content/131-586aa10/web.assets_backend.js:6216:1510)
    at Class.prototype.<computed> [as renderElement] (http://139.59.10.150:8069/web/content/116-b0714de/web.assets_common.js:4615:488)
    at http://139.59.10.150:8069/web/content/116-b0714de/web.assets_common.js:4943:6



i have restarted the service still this error persist

by
Hajaj Roshan
on 10/30/20, 8:04 AM



by
Qaddafi Putra Gary
on 10/29/20, 9:21 AM

Uhmm excuse me, I got an error like this

Traceback:
Error: QWeb2: Template 'Invoicedashboard' not found
Can you help me, thank you
Re:
by
Cybrosys Technologies
on 10/29/20, 11:45 PM Author

Please restart your Odoo service


by
Vanessa
on 10/28/20, 8:58 PM

Hi,  Thanks for this wonderfull app.  I have a problem. After install it, whe i am going to register a payment in any invoice i have the following error:

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 624, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 14, in reraise

    raise value

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 669, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 350, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 915, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1322, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1314, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 383, in call_kw

    result = _call_kw_model(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 356, in _call_kw_model

    result = method(recs, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 1466, in load_views

    for [v_id, v_type] in views

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 1466, in <dictcomp>

    for [v_id, v_type] in views

  File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 410, in fields_view_get

    res = super(MailThread, self).fields_view_get(view_id=view_id, view_type=view_type, toolbar=toolbar, submenu=submenu)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/models/models.py", line 206, in fields_view_get

    r = super().fields_view_get(view_id, view_type, toolbar, submenu)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 1553, in fields_view_get

    xarch, xfields = View.postprocess_and_fields(self._name, etree.fromstring(result['arch']), view_id)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 987, in postprocess_and_fields

    self.raise_view_error(message, view_id)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 614, in raise_view_error

    raise ValueError(message)

ValueError: El campo `effective_date` no existe


Contexto del error:

Vista `account.payment.invoice.form`

[view_id: 641, xml_id: account.view_account_payment_invoice_form, model: account.payment, parent_id: 638]


Cash and Bank Balance data not showing in Dashboard 'BANK AND CASH BALANCE'
by
Suresh
on 10/22/20, 2:36 AM

This is to inform you that the module is unable to display data on dashboard in bank and cash area or column. Pls update me the latest code.


Re: Cash and Bank Balance data not showing in Dashboard 'BANK AND CASH BALANCE'
by
Cybrosys Technologies
on 10/22/20, 7:05 AM Author

Thanks for informing,

We will check and update


by
Osama Al Shalabi (oas)
on 10/14/20, 3:23 AM

Hello is the available on enterprise V14?

Re:
by
Cybrosys Technologies
on 10/14/20, 5:03 AM Author

Sorry, No


Trail Balance Missing
by
Bilal Janjua
on 10/13/20, 12:57 AM

Hi, very impressive module, any future plans for Trail Balance ?

Re: Trail Balance Missing
by
Cybrosys Technologies
on 10/13/20, 7:56 AM Author

Hello, Thanks for informing.
We have updated the module with Trial balance.


Issue with multi companies environment with Multi Currency
by
Mostafa Kandil
on 10/3/20, 1:28 PM

The Currency Symbol in the Dashboard Uses the Main company Symbol
 even when you are changing the company with deferent Currency Symbol 

Re: Issue with multi companies environment with Multi Currency
by
Cybrosys Technologies
on 10/5/20, 12:05 AM Author

Thanks for reporting, We will update soon